/**
 * Debug utility that wraps console methods and checks the global debug flag.
 */
/**
 * Logs a debug message to the console if debug mode is enabled
 * @param args The arguments to log
 */
export declare const debugLog: (...args: any[]) => void;
/**
 * Logs an info message to the console if debug mode is enabled
 * @param args The arguments to log
 */
export declare const debugInfo: (...args: any[]) => void;
/**
 * Logs a warning message to the console if debug mode is enabled
 * @param args The arguments to log
 */
export declare const debugWarn: (...args: any[]) => void;
/**
 * Logs an error message to the console if debug mode is enabled
 * @param args The arguments to log
 */
export declare const debugError: (...args: any[]) => void;
